# PSF-LoginServer - master - net.psforever.actors.zone.FakeNtuSource
PSF - LoginServer - master - net.psforever.actors.zone.FakeNtuSource
Keywords: PSF LoginServer master net.psforever.actors.zone.FakeNtuSource

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package zone
  Definition Classes
    actors
- BuildingActor
- FakeNtuSource
- ZoneActor

c

net.psforever.actors.zone

# FakeNtuSource

###

#### class FakeNtuSource extends PlanetSideServerObject with NtuContainer

Source
  BuildingActor.scala

Linear Supertypes
NtuContainer, TransferContainer, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FakeNtuSource
2. NtuContainer
3. TransferContainer
4. PlanetSideServerObject
5. ZoneAware
6. FactionAffinity
7. PlanetSideGameObject
8. WorldEntity
9. IdentifiableEntity
10. Identifiable
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new FakeNtuSource(building: Building)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def Continent: String
   Definition Classes
     ZoneAware
7.  def Continent_=(zoneId: String): String

   Give the entity a custom `Zone` identifier.

   Give the entity a custom `Zone` identifier.

   zoneId

     the custom identifier of the `Zone` object

   returns

     the identifier of the `Zone` object

   Definition Classes
     ZoneAware
8.  def Definition: Null
   Definition Classes
     FakeNtuSource → NtuContainer → PlanetSideGameObject
9.  def Destroyed: Boolean
   Definition Classes
     PlanetSideGameObject
10.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
11.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
12.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
13.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      FakeNtuSource → FactionAffinity
14.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      FactionAffinity
15.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
16.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
17.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

18.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
19.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
20.  def NtuCapacitor: Float
    Definition Classes
      FakeNtuSource → NtuContainer
21.  def NtuCapacitor_=(a: Float): Float
    Definition Classes
      FakeNtuSource → NtuContainer
22.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
23.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
24.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
25.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
26.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
27.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
28.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
29.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
30.  def Zone: Zone
    Definition Classes
      FakeNtuSource → ZoneAware
31.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      ZoneAware
32.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
33.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
34.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
36.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
37.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
38.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
39.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
40.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
41.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
42.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
43.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
44.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
45.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
46.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
47.  def toString(): String
    Definition Classes
      AnyRef → Any
48.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
50.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from NtuContainer

### Inherited from TransferContainer

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped